package com.bocloud.cmp.model;

import java.util.List;

import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AwsSyncModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/15 16:19
 */
@Data
public class AwsSyncModel {

    private List<ServerModel> serverModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<VolumeModel> volumeModels;
    private List<SnapshotModel> snapshotModels;
    private List<SecurityGroupModel> securityGroupModels;
    private List<RegionModel> regionModels;
    private List<VpcModel> vpcModels;
    private List<KeypairModel> keypairModels;
    private List<SubnetModel> subnetModels;
    private List<NetworkInterfaceModel> networkInterfaceModels;
    private List<ElasticIpModel> elasticIpModels;
    private List<InternetGatewayModel> internetGatewayModels;
    private List<TagModel> tagModels;
    private List<CloudCostModel> cloudCostModels;
    private List<LbModel> lbModels;
    private List<LbTargetGroupModel> lbTargetGroupModels;
    private List<LbTargetModel> lbTargetModels;
    private List<LbListenerModel> lbListenerModels;
    private List<RouteTableModel> routeTableModels;
    private List<NatGatewayModel> natGatewayModels;

    public List<TagModel> getTagModels() {
        return tagModels;
    }

    public void setTagModels(List<TagModel> tagModels) {
        this.tagModels = tagModels;
    }

    public List<InternetGatewayModel> getInternetGatewayModels() {
        return internetGatewayModels;
    }

    public void setInternetGatewayModels(List<InternetGatewayModel> internetGatewayModels) {
        this.internetGatewayModels = internetGatewayModels;
    }

    public List<ElasticIpModel> getElasticIpModels() {
        return elasticIpModels;
    }

    public void setElasticIpModels(List<ElasticIpModel> elasticIpModels) {
        this.elasticIpModels = elasticIpModels;
    }

    public List<NetworkInterfaceModel> getNetworkInterfaceModels() {
        return networkInterfaceModels;
    }

    public void setNetworkInterfaceModels(List<NetworkInterfaceModel> networkInterfaceModels) {
        this.networkInterfaceModels = networkInterfaceModels;
    }

    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    public List<SecurityGroupModel> getSecurityGroupModels() {
        return securityGroupModels;
    }

    public void setSecurityGroupModels(List<SecurityGroupModel> securityGroupModels) {
        this.securityGroupModels = securityGroupModels;
    }

    public List<RegionModel> getRegionModels() {
        return regionModels;
    }

    public void setRegionModels(List<RegionModel> regionModels) {
        this.regionModels = regionModels;
    }

    public List<VpcModel> getVpcModels() {
        return vpcModels;
    }

    public void setVpcModels(List<VpcModel> vpcModels) {
        this.vpcModels = vpcModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<SubnetModel> getSubnetModels() {
        return subnetModels;
    }

    public void setSubnetModels(List<SubnetModel> subnetModels) {
        this.subnetModels = subnetModels;
    }
}
